Package Details: ocfs2-tools 1.8.6-2

Git Clone URL: https://aur.archlinux.org/ocfs2-tools.git (read-only, click to copy)
Package Base: ocfs2-tools
Description: ocfs2 tool chain by Oracle, including mkfs, tunefs, fsck, debugfs and utilities for ocfs2
Upstream URL: https://github.com/markfasheh/ocfs2-tools/
Licenses: GPL2
Submitter: Thermi
Maintainer: Thermi
Last Packager: Thermi
Votes: 1
Popularity: 0.000000
First Submitted: 2015-07-07 20:24
Last Updated: 2019-05-25 00:26

Latest Comments

Thermi commented on 2019-04-03 23:56

@balwierz Thanks, I just pushed the patch along with some others to fix building. To follow the git master, we'd need to make a ocfs2-tools-git package.

balwierz commented on 2019-04-03 22:31

Build fails with glibc 2.28 (currently in Arch) Upstream has already fixed it in this trivial patch https://github.com/markfasheh/ocfs2-tools/commit/e6e049ca6a371528ebf39b106209c2df586500bc

balwierz commented on 2017-10-27 20:03

I can see it was already fixed in September:
https://github.com/markfasheh/ocfs2-tools/issues/17
Can you use the github master?

balwierz commented on 2017-10-27 19:56

Build problems:
1) needs ncurses libraries to link with. I installed ncurses-full-git and it helped.
2) gcc error during compilation
In file included from /usr/include/string.h:431:0,
from ../include/ocfs2/ocfs2.h:41,
from pass4.c:32:
include/strings.h:37:1: error: unknown type name ‘errcode_t’; did you mean ‘mode_t’?
errcode_t o2fsck_strings_insert(o2fsck_strings *strings, char *string,
^~~~~~~~~
mode_t

Thermi commented on 2017-07-01 14:46

1.8.5 release with fix for Makefile

Thermi commented on 2017-04-25 07:01

Why are you so hostile?
I did not find this or any git repository when I looked for the source two years ago, so I obviously had to import into my own git repository, so it can be pulled. I thought upstream was *dead*.

That the source URL points to the master branch is a moot point, because it's my repository and I didn't have an upstream when I did this, nor was there (or could there) be any development happen in my git repository (because there's nobody else with write access to it than me and I don't do any development on the tools).

1.8.5 doesn't build cleanly, because there's (obviously) a problem with the Makefile. I opened an issue about it here: https://github.com/markfasheh/ocfs2-tools/issues/12

The current working status of the PKGBUILD is here: https://gist.github.com/Thermi/edbcf891ffe783197df32f09a68abcca

Anonymous comment on 2017-04-25 05:40

Upstream url for the git contain tag so latest tag that represent a version is 1.8.5 you for the contraire are taking the master as a tarbal, whis is done in -git packaging.

please fix it or dissown so other can properly fix it.

EDIT: https://github.com/markfasheh/ocfs2-tools/archive/ocfs2-tools-1.8.5.tar.gz thake the propper version and now do it correctly.